Bug 355251 - Thinkpad T43 X fails to work with data projectors.
Thinkpad T43 X fails to work with data projectors.
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-display (Show other bugs)
5.0
i386 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-27 10:22 EDT by Michael De La Rue
Modified: 2012-04-17 15:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-17 15:54:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the patch to xorg.conf which fixes projector (627 bytes, patch)
2007-10-27 10:22 EDT, Michael De La Rue
no flags Details | Diff
xorg.conf as it's generated by system-config-display by default (903 bytes, application/octet-stream)
2007-10-27 10:23 EDT, Michael De La Rue
no flags Details
truncated output of X as starting up (3.09 KB, text/plain)
2007-10-27 10:24 EDT, Michael De La Rue
no flags Details
This is the output with the projector working (3.46 KB, text/plain)
2007-10-27 10:25 EDT, Michael De La Rue
no flags Details
/var/log/Xorg.0.log in the default system configuration (43.41 KB, text/plain)
2007-12-08 05:32 EST, Michael De La Rue
no flags Details
/var/log/Xorg.0.log in the patched configuration (69.58 KB, text/plain)
2007-12-08 05:35 EST, Michael De La Rue
no flags Details

  None (edit)
Description Michael De La Rue 2007-10-27 10:22:22 EDT
Description of problem:
When automatically installed or after a reconfiguration using
system-config-display, the output of the X server overdrives data projectors
making it impossible to do presentations.  A simple patch to the config file
fixes this, but it would be much better if this was automatically applied.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.1.1-48-13.0.1.el5

How reproducible:
every time


Steps to Reproduce:
1. find Thinkpad T43
2. install RHEL configuring with automatically identified display parameters
3. boot into runlevel 5
4. connect to data-projector (one of many different types)
  
Actual results:
With default configuration data projector fails to display screen at all or only
displays part of screen.  Once additional configuration is done by the user data
projectors work fine.  

Expected results:
System config display should provide a fully functional configuration where the
data projector displays the screen as it appears on laptop.

Additional info:
The attached patch, applied to xorg.conf corrects this problem.
Comment 1 Michael De La Rue 2007-10-27 10:22:22 EDT
Created attachment 240431 [details]
the patch to xorg.conf which fixes projector
Comment 2 Michael De La Rue 2007-10-27 10:23:21 EDT
Created attachment 240441 [details]
xorg.conf as it's generated by system-config-display by default
Comment 3 Michael De La Rue 2007-10-27 10:24:52 EDT
Created attachment 240451 [details]
truncated output of X as starting up 

I've cut off the end of the print out once X is up and stable and also xxxed
out the machine name.
Comment 4 Michael De La Rue 2007-10-27 10:25:50 EDT
Created attachment 240461 [details]
This is the output with the projector working

same log as previous but this time after the patch has been applied to
xorg.conf
Comment 5 Michael De La Rue 2007-10-27 10:49:31 EDT
Comment on attachment 240431 [details]
the patch to xorg.conf which fixes projector

>--- xorg.conf.noprojector	2007-10-15 08:17:52.000000000 +0200
>+++ xorg.conf	2007-10-15 08:58:44.000000000 +0200
>@@ -26,6 +26,19 @@
> Section "Device"
> 	Identifier  "Videocard0"
> 	Driver      "radeon"
>+VendorName "Videocard vendor" 
>+BoardName "ATI Radeon Mobility M9" 
>+# Added to make T4x work with projectors 
>+Option "RenderAccel" "On" 
>+Option "AGPMode" "4" 
>+Option "AGPFastWrite" "On" 
>+Option "DynamicClocks" "On" 
>+Option "EnablePageFlip" "On" 
>+Option "MergedFB" "On" 
>+Option "MonitorLayout" "LVDS, CRT" 
>+Option "CRT2HSync" "30.0-95.0" 
>+Option "CRT2VRefresh" "50.0-120.0" 
>+
> EndSection
> 
> Section "Screen"
Comment 6 Matěj Cepl 2007-10-29 10:53:51 EDT
Could we please get full /var/log/Xorg.0.log attached to this bug? Thank you.
Comment 7 Michael De La Rue 2007-12-08 05:32:21 EST
Created attachment 281951 [details]
/var/log/Xorg.0.log in the default system configuration

First I set .xinitrc to just xterm.  Then I start the X server; then I type
exit in the X term.  The configuration used for this was the default created
during system configuration.
Comment 8 Michael De La Rue 2007-12-08 05:35:53 EST
Created attachment 281961 [details]
/var/log/Xorg.0.log in the patched configuration

This log is taken exactly identically to the previous one except that the
confirguration used has the patch listed above applied to it.
Comment 9 Adam Jackson 2012-04-17 15:54:15 EDT
No further hardware enablement updates are planned for RHEL5's X stack.  Note that RHEL6 has vastly improved multihead support for the radeon driver, so this should be fixed there.  If it is not, please update the affected product version and reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.